LOWDOWN_BUF_DIFF(3)

NAME
lowdown_buf - parse and diff Markdown buffers into formatted output

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
int
lowdown_buf_diff(const struct lowdown_opts *opts, const char *new, size_t newsz, const char *old, size_t oldsz, char **ret, size_t *retsz);

DESCRIPTION
Parses lowdown(5) buffers new of size newsz and old of size oldsz and produces an edit script in ret of size retsz according to configurations opts. The script defines differences from old to new. The output format is specified by opts->type.

The caller is responsible for freeing ret.

RETURN VALUES
Returns zero on failure, non-zero on success. Failure occurs from memory exhaustion.

SEE ALSO
lowdown(3)